-- Deploy numerus:available_expense_status to pg
-- requires: schema_numerus
-- requires: expense_status
-- requires: expense_status_i18n

begin;

set search_path to numerus;

insert into expense_status (expense_status, name)
values ('pending', 'Pending')
     , ('partial', 'Partial')
     , ('paid', 'Paid')
on conflict (expense_status) do nothing
;

insert into expense_status_i18n (expense_status, lang_tag, name)
values ('pending', 'ca', 'Pendent')
     , ('partial', 'ca', 'Parcial')
     , ('paid', 'ca', 'Pagada')
     , ('pending', 'es', 'Pendiente')
     , ('partial', 'es', 'Parcial')
     , ('paid', 'es', 'Pagada')
on conflict (expense_status, lang_tag) do nothing
;

commit;
